Skip to main content
GET
List built webhooks

Authorizations

Authorization
string
header
required

Query Parameters

enabled
boolean | null
type
enum<string> | null
Available options:
CLIENT,
GENERIC,
PARTNER,
REWARD
name
string | null
include_archived
boolean | null
limit
integer<int32> | null
offset
integer<int32> | null

Response

Successful response

webhook after buildtime evaluation. Fields name, url, client_key_id, request, response_handler, enabled, description, default_method, and retry_intervals are already evaluated.

client_key_id
string
required
component_ids
string[]
required
component_references
object[]
required
created_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

default_method
string
required
description
string
required
enabled
boolean
required
id
string
required
read-only
name
string
required
request
required

The request as configured: a literal value, or an expression (type:string) when defined dynamically.

response_handler
required

if no webhook response status is provided, we will retry non 2xx webhook requests

retry_intervals
string[]
required

RFC 5545 duration string.

Pattern: ^[-+]?P(?:(?:[-+]?[0-9]+D)(?:T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)?|T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)$
tags
string[]
required
type
enum<string>
required
Available options:
CLIENT
updated_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

url
string
required